> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Team Member



## OpenAPI

````yaml PATCH /api/v1/on-call/teams/{teamId}/members/{memberId}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/on-call/teams/{teamId}/members/{memberId}:
    patch:
      tags:
        - on-call
      summary: Update a team member
      operationId: OnCallTeamController_updateMember_v1
      parameters:
        - name: teamId
          required: true
          in: path
          schema:
            type: string
        - name: memberId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOnCallMemberDto'
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    UpdateOnCallMemberDto:
      type: object
      properties:
        name:
          type: string
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````